Bug Hunting Session
Bug 97065 - Dialog Designer: Date field displayed incomplete with GTK3
Summary: Dialog Designer: Date field displayed incomplete with GTK3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks: BASIC-Dialog-Designer GTK3
  Show dependency treegraph
 
Reported: 2016-01-12 10:37 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-10-18 13:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Dialog file (549 bytes, application/xml)
2016-01-12 10:37 UTC, Samuel Mehrbrodt (CIB)
Details
Screenshot (6.50 KB, image/png)
2016-01-12 10:38 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-01-12 10:37:26 UTC
Created attachment 121874 [details]
Dialog file

The date field does not render correctly with GTK3.
See attached screenshot and a simple dialog file to reproduce the issue.

This bug appears when enabling the "Dropdown" option on the date field.
Comment 1 Samuel Mehrbrodt (CIB) 2016-01-12 10:38:09 UTC
Created attachment 121875 [details]
Screenshot
Comment 2 Buovjaga 2016-01-25 11:47:45 UTC
(In reply to Samuel Mehrbrodt from comment #0)
> Created attachment 121874 [details]
> Dialog file
> 
> The date field does not render correctly with GTK3.
> See attached screenshot and a simple dialog file to reproduce the issue.
> 
> This bug appears when enabling the "Dropdown" option on the date field.

So what should we do with this file to reproduce??

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 3 Samuel Mehrbrodt (CIB) 2016-01-25 12:18:54 UTC
(In reply to Beluga from comment #2)
> So what should we do with this file to reproduce??

Import the file from the Dialog designer.
Comment 4 Buovjaga 2016-01-25 12:41:49 UTC
Exact steps:
Tools - Macros - Organize dialogs - Create a new one to your document, edit it.
Click the Import dialog button which has a green plus in it. Next to it are insert controls and export dialog buttons.

I reproduce, though with 5.2 I see absolutely nothing.

Ubuntu 15.10 64-bit 
Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-US (en_US.UTF-8)

Version: 5.2.0.0.alpha0+
Build ID: 7aeb2e8c42cd7d0850aaf33a8a8b4d88c173047f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2016-01-07_03:58:16
Locale: en-US (en_US.UTF-8)
Comment 5 Caolán McNamara 2016-10-18 09:19:32 UTC
Basic seems to have tried to draw part of the combobox with the native widget framework and the other part without or something of that nature
Comment 6 Commit Notification 2016-10-18 11:04:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=276732f3068cac65dd607b4f78abdcd918ed30ad

Resolves: tdf#97065 gtk3: Date field displayed incomplete

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-10-18 13:31:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b1a2703aeea3c81e2153b04e2f4685f9840819a&h=libreoffice-5-2

Resolves: tdf#97065 gtk3: Date field displayed incomplete

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.